#ifndef _GLFONT_H_
#define _GLFONT_H_

#include "SDL_ttf.h"

typedef struct GLTEXTBOX GlTextBox;

struct GLTEXTBOX {
  int x, y;
  SDL_Surface* surface;
};

GlTextBox* gltext_create(const char* text, 
                         TTF_Font* font, 
                         int x, int y,
                         unsigned int rgba);

void gltext_draw(GlTextBox* tb);

void gltext_free(GlTextBox* tb);
                         

#endif
