#include "xmlutil.h"
#include <string.h>

const char* xmlutil_lookup_attr(const char **attr, const char* key) {
  unsigned int i;
  for (i=0; attr[i]; i+=2) {
    if (!strcmp(attr[i], key)) {
      return attr[i+1];
    }
  }
  return 0;
}

const char* strip_filename(const char* path) {
  int i;
  const char* rval = path;
  for (i=0; path[i]; ++i) {
    if (path[i] == '/' || path[i] == '\\') {
      rval = path + i + 1;
    }
  }
  return rval;
}
